require 'helper'

class TestTkParallelCoordinates < Test::Unit::TestCase
	should "instantiate and display a parallel coordinate plot with nominal (on a cube root axis) and ordinal data" do
		root = TkRoot.new() {
			title "Tk::ParallelCoordinates Test"
			protocol('WM_DELETE_WINDOW', proc{ exit })
		}
		root.bind('Control-c', proc{ exit })
		left_frame = TkFrame.new(root)
		left_frame.grid(:row=>0,:column=>0,:sticky=>'new')
		time_min = Time.now.to_i - (7*24*60*60)
		time_max = Time.now.to_i
		model = [ 
			{ 
				:name => 'Port',
				:type => 'range',
				:scale => '3rt',
				:min => 0,
				:max => 65535,
				:ofmt => '%d',
				#:items => [1,22,80,137,443,1024,5900,6667,31337,65335]
			},
			{
				:name => 'Host',
				:type => 'list',
				:list => ['192.168.0.1','192.168.0.2','192.168.0.2','192.168.0.3']
			}
		]
		pcp = Tk::ParallelCoordinates.new(left_frame, 500, 360, model)
		[[53,'192.168.0.1'],[53,'192.168.0.2'],[80,'192.168.0.2'],[43099,'192.168.0.3']].each do |t|
			key = t[0].to_s+":"+t[1]
			pcp.addtuple(key,Tk::ParallelCoordinates::STATE_NORMAL,t)
		end
		Tk.mainloop()
		assert(true)
	end
end
